﻿
<div class="form-box" id="login-box">
    @{
        switch ((string)ViewBag.Result)
        {
            case "error":
                <div class="header bg-red">Error: Invalid Data!</div>
                break;
            case "success":
                <div class="header bg-green">Success!</div>
                break;
            default:
                <div class="header">Register New Membership</div>
                break;
        }
    }
    <form action="/Default/Register" method="post">
        @{

            switch ((string)ViewBag.Result)
            {
                case "success":
                    <div class="body bg-gray">
                        <div class="text-center">
                            <h4>You are successfully signed up!</h4>
                            <p>
                                Click below button to go back to login page!
                            </p>
                        </div>
                    </div>
                    <div class="footer">
                        <a href="/Default/Login" class="btn bg-olive btn-block">Go to Login page</a>
                    </div>
                    break;
                default:
                    <div class="body bg-gray">
                        <div class="form-group">
                            <input type="text" name="firstname" class="form-control" placeholder="First name" required />
                        </div>
                        <div class="form-group">
                            <input type="text" name="lastname" class="form-control" placeholder="Last name" required />
                        </div>
                        <div class="form-group">
                            <input type="text" name="username" class="form-control" placeholder="User ID" required />
                        </div>
                        <div class="form-group">
                            <input type="text" name="email" class="form-control" placeholder="Email Address" required />
                        </div>
                        <div class="form-group">
                            <input type="text" name="phone" class="form-control" placeholder="Phone Number" required />
                        </div>
                        <div class="form-group">
                            <input type="password" name="password" class="form-control" placeholder="Password" required />
                        </div>
                        <div class="form-group">
                            <input type="password" name="repassword" class="form-control" placeholder="Retype password" required />
                        </div>
                    </div>
                    <div class="footer">
                        <button type="submit" class="btn bg-olive btn-block">Sign me up</button>
                        <a href="login.html" class="text-center">I already have a membership</a>
                    </div>
                    break;
            }
        }
    </form>
    @*<div class="margin text-center">
            <span>Register using social networks</span>
            <br />
            <button class="btn bg-light-blue btn-circle"><i class="fa fa-facebook"></i></button>
            <button class="btn bg-aqua btn-circle"><i class="fa fa-twitter"></i></button>
            <button class="btn bg-red btn-circle"><i class="fa fa-google-plus"></i></button>
        </div>*@
</div>
